Skip to main content
GET
/
v1
/
facebook
/
get_facebook_marketplace_items_listing
Get Marketplace Search Results
curl --request GET \
  --url https://api.agntdata.dev/v1/facebook/get_facebook_marketplace_items_listing \
  --header 'Authorization: <api-key>'
{}

Authorizations

Authorization
string
header
required

Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...

Query Parameters

seo_url
string
posted_today
boolean

posted_today (boolean) β€” If set to true, results are limited to items posted today, and the after_time and before_time filters are ignored.

fields
string

Comma-separated keys to filter the response. Supports dot notation and nested keys (e.g. items.id,items.listingUrl,items.listing_price,page_info.end_cursor). Invalid keys are ignored. If omitted, the full response is returned.

commerce_search_and_rp_condition
string

This field specifies the condition of items to search for. Choose from the following options:

  • new
  • used_like_new
  • used_good
  • used_fair

To include multiple conditions, separate them with commas without spaces. For example, use new, used_like_new, used_good, used_fair to search for both new items and items in good used condition. Any value not in this list will result in an error.

timezone
string
default:UTC
after_time
string
before_time
string
exact_match
boolean
proxy_country
string
filter_radius_km
number
default:65
filter_price_lower_bound
number
default:0
end_cursor
string

If end_cursor is empty, retrieve up to three posts, utilizing the newly generated end_cursor from the page_info details in the response to fetch subsequent posts in the list.

category_url
string

Link should match this pattern `

filter_location_latitude
string
default:40.7142
filter_price_upper_bound
number
default:214748364700
commerce_search_sort_by
string
query
string
default:cars
filter_location_longitude
string
default:-74.0064

Response

Successful response

The response is of type object.